from pasteob import Response
from mext.htmlgen import *
from mext.xmlgen import XmlDocument, xmlelem

def _make_reponse_func(doc_cls):
    def make_response(body, **kw):
        doc = doc_cls(body)
        return Response(str(doc), ctype=doc.mime_type, charset=doc.encoding, **kw)
    return make_response

HtmlResponse = _make_reponse_func(HtmlDocument)
XHtmlResponse = _make_reponse_func(XHtmlDocument)
XmlResponse = _make_reponse_func(XmlDocument)


